Subject: Re: [bug#34615] [PATCH] gnu: Add libtommath.

From: Efraim Flashner <[email-masked]>
Date: Sun, 24 Feb 2019 09:50:28 +0200

On Fri, Feb 22, 2019 at 07:57:25PM +0100, Tobias Geerinckx-Rice wrote:
> Efraim,
> 
> Thanks!
> 
> Efraim Flashner wrote:
> > * gnu/packages/algebra.scm (libtommath): New variable.
> 
> > + (add-after 'unpack 'prepare-build
> > +   (lambda _
> > +     ;; Don't pull in coreutils.
> > +     (substitute* "makefile_include.mk"
> > +       (("arch") "uname -m"))
> 
> I'd add an empty line here or separate this into two fases just to be very
> clear, since…
> 

Sounds good. I didn't want to toss in a couple of one-liner phases, so
I'll make it clearer.

> > +     (delete-file "makefile")
> > +     (symlink "makefile.shared" "makefile")
> > +     #t))
> 
> …I got a bit lost between all these makefiles.  Could you explain exactly
> what's going on?
> 
> Is this to avoid repeating ‘-f makefile.shared’ elsewhere?

Yeah, basically. Pkgsrc has a keyword to use makefile.shared and Debian
passes '-f makefile.shared' in all its phases, this seemed much eaiser.

> 
> > + (add-after 'check 'make-static
> 
> More accurate: 'install-static-library.

Sounds good

> 
> While libtommath.a is ‘only’ 332K, that's almost half of the entire output
> size.  Is it worth moving to a separate :static output?
> 

As far as size goes I decided against it since it is so small, but by
putting libtommath.a in a separate output it does prevent other packages
from picking up the wrong one. Sounds good.

> > + (synopsis "portable number theoretic multiple-precision integer
> > library")
> 
> s/p/P/
> 
> multiprecision.scm is a better fit and already has sister package
> tomsfastmath to keep this one company.

I didn't see that one. I'll stick it next to that one.

> 
> > +integer library written entirely in C.  The library is designed to
> > provide a
> 
> s/The library is/It's/ IMO.
> 
> > +simple to work with API
> 
> ‘simple-to-work-with API’, unfortunately.
> 
> Kind regards,
> 
> T G-R

Thanks

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted